From 5f9b1132a5c7ad6c82df817a742880716037ed80 Mon Sep 17 00:00:00 2001
From: Dino <macwiz23@comcast.net>
Date: Sun, 26 Jan 2025 21:08:35 -0500
Subject: [PATCH] Feature #1000419, improve Disaster types frequency
 documentation in game.ruleset files.

---
 data/alien/game.ruleset         | 6 +++++-
 data/civ1/game.ruleset          | 6 +++++-
 data/civ2/game.ruleset          | 6 +++++-
 data/civ2civ3/game.ruleset      | 6 +++++-
 data/classic/game.ruleset       | 6 +++++-
 data/goldkeep/game.ruleset      | 6 +++++-
 data/granularity/game.ruleset   | 6 +++++-
 data/multiplayer/game.ruleset   | 6 +++++-
 data/ruledit/comments-3.4.txt   | 4 ++++
 data/sandbox/game.ruleset       | 6 +++++-
 data/stub/game.ruleset          | 6 +++++-
 data/webperimental/game.ruleset | 6 +++++-
 12 files changed, 59 insertions(+), 11 deletions(-)

diff --git a/data/alien/game.ruleset b/data/alien/game.ruleset
index 465a1c8f42..8e286d487c 100644
--- a/data/alien/game.ruleset
+++ b/data/alien/game.ruleset
@@ -417,7 +417,11 @@ negative_label = _("BGE")
 ; name                    = translatable name as seen by user
 ; reqs                    = requirements for disaster to happen (see effects.ruleset
 ;                           and README.effects for help on requirements)
-; frequency               = how likely disaster is to occur
+; frequency               = how likely disaster is to occur.
+;                           Final probability for each city each turn is -
+;                           (this frequency) * (game settings option disasters
+;                           frequency) / 1000000.
+;                           If omitted, default is 0 and this disater will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/civ1/game.ruleset b/data/civ1/game.ruleset
index 49ce2579e3..31fabd4a1f 100644
--- a/data/civ1/game.ruleset
+++ b/data/civ1/game.ruleset
@@ -400,7 +400,11 @@ negative_label = _("BC")
 ; name                    = translatable name as seen by user
 ; reqs                    = requirements for disaster to happen (see effects.ruleset
 ;                           and README.effects for help on requirements)
-; frequency               = how likely disaster is to occur
+; frequency               = how likely disaster is to occur.
+;                           Final probability for each city each turn is -
+;                           (this frequency) * (game settings option disasters
+;                           frequency) / 1000000.
+;                           If omitted, default is 0 and this disater will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/civ2/game.ruleset b/data/civ2/game.ruleset
index dd6241f222..272670794a 100644
--- a/data/civ2/game.ruleset
+++ b/data/civ2/game.ruleset
@@ -396,7 +396,11 @@ negative_label = _("BC")
 ; name                    = translatable name as seen by user
 ; reqs                    = requirements for disaster to happen (see effects.ruleset
 ;                           and README.effects for help on requirements)
-; frequency               = how likely disaster is to occur
+; frequency               = how likely disaster is to occur.
+;                           Final probability for each city each turn is -
+;                           (this frequency) * (game settings option disasters
+;                           frequency) / 1000000.
+;                           If omitted, default is 0 and this disater will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/civ2civ3/game.ruleset b/data/civ2civ3/game.ruleset
index 7493d89869..b18e1cbd23 100644
--- a/data/civ2civ3/game.ruleset
+++ b/data/civ2civ3/game.ruleset
@@ -424,7 +424,11 @@ negative_label = _("BCE")
 ; name                    = translatable name as seen by user
 ; reqs                    = requirements for disaster to happen (see effects.ruleset
 ;                           and README.effects for help on requirements)
-; frequency               = how likely disaster is to occur
+; frequency               = how likely disaster is to occur.
+;                           Final probability for each city each turn is -
+;                           (this frequency) * (game settings option disasters
+;                           frequency) / 1000000.
+;                           If omitted, default is 0 and this disater will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/classic/game.ruleset b/data/classic/game.ruleset
index 997e2c09bb..f67e14b5cf 100644
--- a/data/classic/game.ruleset
+++ b/data/classic/game.ruleset
@@ -419,7 +419,11 @@ negative_label = _("BCE")
 ; name                    = translatable name as seen by user
 ; reqs                    = requirements for disaster to happen (see effects.ruleset
 ;                           and README.effects for help on requirements)
-; frequency               = how likely disaster is to occur
+; frequency               = how likely disaster is to occur.
+;                           Final probability for each city each turn is -
+;                           (this frequency) * (game settings option disasters
+;                           frequency) / 1000000.
+;                           If omitted, default is 0 and this disater will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/goldkeep/game.ruleset b/data/goldkeep/game.ruleset
index b8d283ba09..b8a45d79e9 100644
--- a/data/goldkeep/game.ruleset
+++ b/data/goldkeep/game.ruleset
@@ -422,7 +422,11 @@ negative_label = _("BCE")
 ; name                    = translatable name as seen by user
 ; reqs                    = requirements for disaster to happen (see effects.ruleset
 ;                           and README.effects for help on requirements)
-; frequency               = how likely disaster is to occur
+; frequency               = how likely disaster is to occur.
+;                           Final probability for each city each turn is -
+;                           (this frequency) * (game settings option disasters
+;                           frequency) / 1000000.
+;                           If omitted, default is 0 and this disater will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/granularity/game.ruleset b/data/granularity/game.ruleset
index 7a0057b778..50e3f38b1a 100644
--- a/data/granularity/game.ruleset
+++ b/data/granularity/game.ruleset
@@ -415,7 +415,11 @@ negative_label = _("BCE")
 ; name                    = translatable name as seen by user
 ; reqs                    = requirements for disaster to happen (see effects.ruleset
 ;                           and README.effects for help on requirements)
-; frequency               = how likely disaster is to occur
+; frequency               = how likely disaster is to occur.
+;                           Final probability for each city each turn is -
+;                           (this frequency) * (game settings option disasters
+;                           frequency) / 1000000.
+;                           If omitted, default is 0 and this disater will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/multiplayer/game.ruleset b/data/multiplayer/game.ruleset
index 3ba39b0717..7167fd0807 100644
--- a/data/multiplayer/game.ruleset
+++ b/data/multiplayer/game.ruleset
@@ -422,7 +422,11 @@ negative_label = _("BCE")
 ; name                    = translatable name as seen by user
 ; reqs                    = requirements for disaster to happen (see effects.ruleset
 ;                           and README.effects for help on requirements)
-; frequency               = how likely disaster is to occur
+; frequency               = how likely disaster is to occur.
+;                           Final probability for each city each turn is -
+;                           (this frequency) * (game settings option disasters
+;                           frequency) / 1000000.
+;                           If omitted, default is 0 and this disater will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/ruledit/comments-3.4.txt b/data/ruledit/comments-3.4.txt
index e3cce02c99..25372171fb 100644
--- a/data/ruledit/comments-3.4.txt
+++ b/data/ruledit/comments-3.4.txt
@@ -1039,6 +1039,10 @@ disasters = "\
 ; reqs                    = requirements for disaster to happen (see effects.ruleset\n\
 ;                           and README.effects for help on requirements)\n\
 ; frequency               = how likely disaster is to occur\n\
+;                           Final probability for each city each turn is -\n\
+;                           (this frequency) * (game settings option disasters\n\
+;                           frequency) / 1000000.\n\
+;                           If omitted, default is 0 and this disater will not occur.\n\
 ; effects\n\
 ;   - \"DestroyBuilding\"   = Random building is destroyed\n\
 ;   - \"ReducePopulation\"  = Reduce city size by one unless it's already 1\n\
diff --git a/data/sandbox/game.ruleset b/data/sandbox/game.ruleset
index 5544e02f63..d9f9791215 100644
--- a/data/sandbox/game.ruleset
+++ b/data/sandbox/game.ruleset
@@ -422,7 +422,11 @@ negative_label = _("BCE")
 ; name                    = translatable name as seen by user
 ; reqs                    = requirements for disaster to happen (see effects.ruleset
 ;                           and README.effects for help on requirements)
-; frequency               = how likely disaster is to occur
+; frequency               = how likely disaster is to occur.
+;                           Final probability for each city each turn is -
+;                           (this frequency) * (game settings option disasters
+;                           frequency) / 1000000.
+;                           If omitted, default is 0 and this disater will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/stub/game.ruleset b/data/stub/game.ruleset
index 33e92535a5..70fab0745d 100644
--- a/data/stub/game.ruleset
+++ b/data/stub/game.ruleset
@@ -406,7 +406,11 @@ negative_label = _("BCE")
 ; name                    = translatable name as seen by user
 ; reqs                    = requirements for disaster to happen (see effects.ruleset
 ;                           and README.effects for help on requirements)
-; frequency               = how likely disaster is to occur
+; frequency               = how likely disaster is to occur.
+;                           Final probability for each city each turn is -
+;                           (this frequency) * (game settings option disasters
+;                           frequency) / 1000000.
+;                           If omitted, default is 0 and this disater will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/webperimental/game.ruleset b/data/webperimental/game.ruleset
index fb4343c481..670e0d2781 100644
--- a/data/webperimental/game.ruleset
+++ b/data/webperimental/game.ruleset
@@ -423,7 +423,11 @@ negative_label = _("BC")
 ; name                    = translatable name as seen by user
 ; reqs                    = requirements for disaster to happen (see effects.ruleset
 ;                           and README.effects for help on requirements)
-; frequency               = how likely disaster is to occur
+; frequency               = how likely disaster is to occur.
+;                           Final probability for each city each turn is -
+;                           (this frequency) * (game settings option disasters
+;                           frequency) / 1000000.
+;                           If omitted, default is 0 and this disater will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
-- 
2.31.0