From 880c579c835177f4c58d9cad3a62571f3aa33498 Mon Sep 17 00:00:00 2001
From: Dino <macwiz23@comcast.net>
Date: Tue, 11 Mar 2025 20:45:33 +0200
Subject: [PATCH 20/20] Improve Disaster types frequency documentation

See RM #1231
---
 data/alien/game.ruleset         | 6 +++++-
 data/civ1/game.ruleset          | 6 +++++-
 data/civ2/game.ruleset          | 6 +++++-
 data/civ2civ3/game.ruleset      | 6 +++++-
 data/classic/game.ruleset       | 6 +++++-
 data/experimental/game.ruleset  | 6 +++++-
 data/granularity/game.ruleset   | 6 +++++-
 data/multiplayer/game.ruleset   | 6 +++++-
 data/ruledit/comments-3.1.txt   | 4 ++++
 data/sandbox/game.ruleset       | 6 +++++-
 data/stub/game.ruleset          | 6 +++++-
 data/webperimental/game.ruleset | 6 +++++-
 12 files changed, 59 insertions(+), 11 deletions(-)

diff --git a/data/alien/game.ruleset b/data/alien/game.ruleset
index aad3262ca0..7106723c1c 100644
--- a/data/alien/game.ruleset
+++ b/data/alien/game.ruleset
@@ -1400,7 +1400,11 @@ negative_label = _("BGE")
 ; name                    = translatable name as seen by user
 ; reqs                    = requirements for disaster to happen (see effects.ruleset
 ;                           and README.effects for help on requirements)
-; frequency               = how likely disaster is to occur
+; frequency               = how likely disaster is to occur.
+;                           Final probability for each city each turn is -
+;                           (this frequency) * (game settings option disasters
+;                           frequency) / 1000000.
+;                           If omitted, default is 0 and this disater will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/civ1/game.ruleset b/data/civ1/game.ruleset
index 6e9b39783e..0b5c371dbd 100644
--- a/data/civ1/game.ruleset
+++ b/data/civ1/game.ruleset
@@ -1168,7 +1168,11 @@ negative_label = _("BC")
 ; name                    = translatable name as seen by user
 ; reqs                    = requirements for disaster to happen (see effects.ruleset
 ;                           and README.effects for help on requirements)
-; frequency               = how likely disaster is to occur
+; frequency               = how likely disaster is to occur.
+;                           Final probability for each city each turn is -
+;                           (this frequency) * (game settings option disasters
+;                           frequency) / 1000000.
+;                           If omitted, default is 0 and this disater will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/civ2/game.ruleset b/data/civ2/game.ruleset
index 809fd75d82..bf0a1f9a38 100644
--- a/data/civ2/game.ruleset
+++ b/data/civ2/game.ruleset
@@ -1478,7 +1478,11 @@ negative_label = _("BC")
 ; name                    = translatable name as seen by user
 ; reqs                    = requirements for disaster to happen (see effects.ruleset
 ;                           and README.effects for help on requirements)
-; frequency               = how likely disaster is to occur
+; frequency               = how likely disaster is to occur.
+;                           Final probability for each city each turn is -
+;                           (this frequency) * (game settings option disasters
+;                           frequency) / 1000000.
+;                           If omitted, default is 0 and this disater will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/civ2civ3/game.ruleset b/data/civ2civ3/game.ruleset
index f4f21a07cc..63010cd8ee 100644
--- a/data/civ2civ3/game.ruleset
+++ b/data/civ2civ3/game.ruleset
@@ -1850,7 +1850,11 @@ negative_label = _("BCE")
 ; name                    = translatable name as seen by user
 ; reqs                    = requirements for disaster to happen (see effects.ruleset
 ;                           and README.effects for help on requirements)
-; frequency               = how likely disaster is to occur
+; frequency               = how likely disaster is to occur.
+;                           Final probability for each city each turn is -
+;                           (this frequency) * (game settings option disasters
+;                           frequency) / 1000000.
+;                           If omitted, default is 0 and this disater will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/classic/game.ruleset b/data/classic/game.ruleset
index c987478b43..fc472867d5 100644
--- a/data/classic/game.ruleset
+++ b/data/classic/game.ruleset
@@ -1718,7 +1718,11 @@ negative_label = _("BCE")
 ; name                    = translatable name as seen by user
 ; reqs                    = requirements for disaster to happen (see effects.ruleset
 ;                           and README.effects for help on requirements)
-; frequency               = how likely disaster is to occur
+; frequency               = how likely disaster is to occur.
+;                           Final probability for each city each turn is -
+;                           (this frequency) * (game settings option disasters
+;                           frequency) / 1000000.
+;                           If omitted, default is 0 and this disater will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/experimental/game.ruleset b/data/experimental/game.ruleset
index 5bdc730217..3ec7e539df 100644
--- a/data/experimental/game.ruleset
+++ b/data/experimental/game.ruleset
@@ -1790,7 +1790,11 @@ negative_label = _("BCE")
 ; name                    = translatable name as seen by user
 ; reqs                    = requirements for disaster to happen (see effects.ruleset
 ;                           and README.effects for help on requirements)
-; frequency               = how likely disaster is to occur
+; frequency               = how likely disaster is to occur.
+;                           Final probability for each city each turn is -
+;                           (this frequency) * (game settings option disasters
+;                           frequency) / 1000000.
+;                           If omitted, default is 0 and this disater will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/granularity/game.ruleset b/data/granularity/game.ruleset
index 6ad18f6f9b..1f15c1ebab 100644
--- a/data/granularity/game.ruleset
+++ b/data/granularity/game.ruleset
@@ -717,7 +717,11 @@ negative_label = _("BCE")
 ; name                    = translatable name as seen by user
 ; reqs                    = requirements for disaster to happen (see effects.ruleset
 ;                           and README.effects for help on requirements)
-; frequency               = how likely disaster is to occur
+; frequency               = how likely disaster is to occur.
+;                           Final probability for each city each turn is -
+;                           (this frequency) * (game settings option disasters
+;                           frequency) / 1000000.
+;                           If omitted, default is 0 and this disater will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/multiplayer/game.ruleset b/data/multiplayer/game.ruleset
index 70b058631c..215e173c47 100644
--- a/data/multiplayer/game.ruleset
+++ b/data/multiplayer/game.ruleset
@@ -1709,7 +1709,11 @@ negative_label = _("BCE")
 ; name                    = translatable name as seen by user
 ; reqs                    = requirements for disaster to happen (see effects.ruleset
 ;                           and README.effects for help on requirements)
-; frequency               = how likely disaster is to occur
+; frequency               = how likely disaster is to occur.
+;                           Final probability for each city each turn is -
+;                           (this frequency) * (game settings option disasters
+;                           frequency) / 1000000.
+;                           If omitted, default is 0 and this disater will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/ruledit/comments-3.1.txt b/data/ruledit/comments-3.1.txt
index c430dc3d13..31a1085bf3 100644
--- a/data/ruledit/comments-3.1.txt
+++ b/data/ruledit/comments-3.1.txt
@@ -1012,6 +1012,10 @@ disasters = "\
 ; reqs                    = requirements for disaster to happen (see effects.ruleset\n\
 ;                           and README.effects for help on requirements)\n\
 ; frequency               = how likely disaster is to occur\n\
+;                           Final probability for each city each turn is -\n\
+;                           (this frequency) * (game settings option disasters\n\
+;                           frequency) / 1000000.\n\
+;                           If omitted, default is 0 and this disater will not occur.\n\
 ; effects\n\
 ;   - \"DestroyBuilding\"   = Random building is destroyed\n\
 ;   - \"ReducePopulation\"  = Reduce city size by one unless it's already 1\n\
diff --git a/data/sandbox/game.ruleset b/data/sandbox/game.ruleset
index 4867b98ccd..500f7ef130 100644
--- a/data/sandbox/game.ruleset
+++ b/data/sandbox/game.ruleset
@@ -3065,7 +3065,11 @@ negative_label = _("BCE")
 ; name                    = translatable name as seen by user
 ; reqs                    = requirements for disaster to happen (see effects.ruleset
 ;                           and README.effects for help on requirements)
-; frequency               = how likely disaster is to occur
+; frequency               = how likely disaster is to occur.
+;                           Final probability for each city each turn is -
+;                           (this frequency) * (game settings option disasters
+;                           frequency) / 1000000.
+;                           If omitted, default is 0 and this disater will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/stub/game.ruleset b/data/stub/game.ruleset
index 5e52abec0b..4973e97a47 100644
--- a/data/stub/game.ruleset
+++ b/data/stub/game.ruleset
@@ -577,7 +577,11 @@ negative_label = _("BCE")
 ; name                    = translatable name as seen by user
 ; reqs                    = requirements for disaster to happen (see effects.ruleset
 ;                           and README.effects for help on requirements)
-; frequency               = how likely disaster is to occur
+; frequency               = how likely disaster is to occur.
+;                           Final probability for each city each turn is -
+;                           (this frequency) * (game settings option disasters
+;                           frequency) / 1000000.
+;                           If omitted, default is 0 and this disater will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
diff --git a/data/webperimental/game.ruleset b/data/webperimental/game.ruleset
index d9153c647d..94c5adecea 100644
--- a/data/webperimental/game.ruleset
+++ b/data/webperimental/game.ruleset
@@ -1971,7 +1971,11 @@ negative_label = _("BC")
 ; name                    = translatable name as seen by user
 ; reqs                    = requirements for disaster to happen (see effects.ruleset
 ;                           and README.effects for help on requirements)
-; frequency               = how likely disaster is to occur
+; frequency               = how likely disaster is to occur.
+;                           Final probability for each city each turn is -
+;                           (this frequency) * (game settings option disasters
+;                           frequency) / 1000000.
+;                           If omitted, default is 0 and this disater will not occur.
 ; effects
 ;   - "DestroyBuilding"   = Random building is destroyed
 ;   - "ReducePopulation"  = Reduce city size by one unless it's already 1
-- 
2.47.2