From feae0e4b1ce47405613f9f8ac2f2c508a5f00971 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Tue, 11 Mar 2025 22:50:06 +0200
Subject: [PATCH 51/51] sdl3 theme: Fix references between files

Some sdl3-client theme files were referring to other files
in sdl2-client theme instead of the same sdl3-client theme.

See RM #1251

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 .../gui-sdl3/human/backgrounds.themespec      | 46 +++++++++----------
 data/themes/gui-sdl3/human/city.tspec         |  2 +-
 data/themes/gui-sdl3/human/city_fist.tspec    |  2 +-
 data/themes/gui-sdl3/human/dip_icons.tspec    |  2 +-
 data/themes/gui-sdl3/human/icons.tspec        |  2 +-
 .../gui-sdl3/human/small_theme_buttons.tspec  |  2 +-
 data/themes/gui-sdl3/human/tech_tree.tspec    |  2 +-
 data/themes/gui-sdl3/human/theme_boxs.tspec   |  2 +-
 .../themes/gui-sdl3/human/theme_buttons.tspec |  2 +-
 .../gui-sdl3/human/theme_orders_buttons.tspec |  2 +-
 .../themes/gui-sdl3/human/theme_scrolls.tspec |  2 +-
 11 files changed, 33 insertions(+), 33 deletions(-)

diff --git a/data/themes/gui-sdl3/human/backgrounds.themespec b/data/themes/gui-sdl3/human/backgrounds.themespec
index b6a01acb68..4b4664ec03 100644
--- a/data/themes/gui-sdl3/human/backgrounds.themespec
+++ b/data/themes/gui-sdl3/human/backgrounds.themespec
@@ -13,26 +13,26 @@
 ; world: Johnston, Alexander Keith, 1804-1871  -- Engraver
 ; intro: James Blewitt <jim@jblewitt.com>
 
-changeresearchdlg   = "themes/gui-sdl2/human/bg"
-choosegovernmentdlg = "themes/gui-sdl2/human/bg"
-citydlg             = "themes/gui-sdl2/human/bg"
-citygovdlg          = "themes/gui-sdl2/human/bg"
-cityrep	            = "themes/gui-sdl2/human/bg"
-connectdlg          = "themes/gui-sdl2/human/bg"
-connlistdlg         = "themes/gui-sdl2/human/world"
-economydlg          = "themes/gui-sdl2/human/bg"
-hlpdlg              = "themes/gui-sdl2/human/bg"
-joingamedlg         = "themes/gui-sdl2/human/bg"
-loadgamedlg         = "themes/gui-sdl2/human/bg"
-mainpage            = "themes/gui-sdl2/human/intro"
-messagewin	    = "themes/gui-sdl2/human/bg2"
-nationdlg           = "themes/gui-sdl2/human/bg"
-newcitydlg          = "themes/gui-sdl2/human/bg"
-optiondlg           = "themes/gui-sdl2/human/options_bg"
-revolutiondlg       = "themes/gui-sdl2/human/bg"
-sciencedlg          = "themes/gui-sdl2/human/bg"
-spystealdlg         = "themes/gui-sdl2/human/bg"
-startmenu           = "themes/gui-sdl2/human/bg"
-unitsrep            = "themes/gui-sdl2/human/bg"
-userpasswddlg       = "themes/gui-sdl2/human/bg"
-wldlg               = "themes/gui-sdl2/human/bg"
+changeresearchdlg   = "themes/gui-sdl3/human/bg"
+choosegovernmentdlg = "themes/gui-sdl3/human/bg"
+citydlg             = "themes/gui-sdl3/human/bg"
+citygovdlg          = "themes/gui-sdl3/human/bg"
+cityrep             = "themes/gui-sdl3/human/bg"
+connectdlg          = "themes/gui-sdl3/human/bg"
+connlistdlg         = "themes/gui-sdl3/human/world"
+economydlg          = "themes/gui-sdl3/human/bg"
+hlpdlg              = "themes/gui-sdl3/human/bg"
+joingamedlg         = "themes/gui-sdl3/human/bg"
+loadgamedlg         = "themes/gui-sdl3/human/bg"
+mainpage            = "themes/gui-sdl3/human/intro"
+messagewin          = "themes/gui-sdl3/human/bg2"
+nationdlg           = "themes/gui-sdl3/human/bg"
+newcitydlg          = "themes/gui-sdl3/human/bg"
+optiondlg           = "themes/gui-sdl3/human/options_bg"
+revolutiondlg       = "themes/gui-sdl3/human/bg"
+sciencedlg          = "themes/gui-sdl3/human/bg"
+spystealdlg         = "themes/gui-sdl3/human/bg"
+startmenu           = "themes/gui-sdl3/human/bg"
+unitsrep            = "themes/gui-sdl3/human/bg"
+userpasswddlg       = "themes/gui-sdl3/human/bg"
+wldlg               = "themes/gui-sdl3/human/bg"
diff --git a/data/themes/gui-sdl3/human/city.tspec b/data/themes/gui-sdl3/human/city.tspec
index 09642116b0..4e080ef57d 100644
--- a/data/themes/gui-sdl3/human/city.tspec
+++ b/data/themes/gui-sdl3/human/city.tspec
@@ -13,7 +13,7 @@ artists = "
 "
 
 [file]
-gfx = "themes/gui-sdl2/human/city"
+gfx = "themes/gui-sdl3/human/city"
 
 [grid_main]
 
diff --git a/data/themes/gui-sdl3/human/city_fist.tspec b/data/themes/gui-sdl3/human/city_fist.tspec
index 84afa3b124..f2ac65a060 100644
--- a/data/themes/gui-sdl3/human/city_fist.tspec
+++ b/data/themes/gui-sdl3/human/city_fist.tspec
@@ -10,7 +10,7 @@ artists = "
 "
 
 [file]
-gfx = "themes/gui-sdl2/human/city_fist"
+gfx = "themes/gui-sdl3/human/city_fist"
 
 [grid_explode]
 
diff --git a/data/themes/gui-sdl3/human/dip_icons.tspec b/data/themes/gui-sdl3/human/dip_icons.tspec
index aed5659345..f651ad2b49 100644
--- a/data/themes/gui-sdl3/human/dip_icons.tspec
+++ b/data/themes/gui-sdl3/human/dip_icons.tspec
@@ -11,7 +11,7 @@ artists = "
 "
 
 [file]
-gfx = "themes/gui-sdl2/human/dip_icons"
+gfx = "themes/gui-sdl3/human/dip_icons"
 
 [grid_explode]
 
diff --git a/data/themes/gui-sdl3/human/icons.tspec b/data/themes/gui-sdl3/human/icons.tspec
index 3ad1b766b9..cd793cd0c3 100644
--- a/data/themes/gui-sdl3/human/icons.tspec
+++ b/data/themes/gui-sdl3/human/icons.tspec
@@ -12,7 +12,7 @@ artists = "
 "
 
 [file]
-gfx = "themes/gui-sdl2/human/icons"
+gfx = "themes/gui-sdl3/human/icons"
 
 [grid_polluttion]
 
diff --git a/data/themes/gui-sdl3/human/small_theme_buttons.tspec b/data/themes/gui-sdl3/human/small_theme_buttons.tspec
index 7ec5d495ce..7fb8dfefa7 100644
--- a/data/themes/gui-sdl3/human/small_theme_buttons.tspec
+++ b/data/themes/gui-sdl3/human/small_theme_buttons.tspec
@@ -12,7 +12,7 @@ artists = "
 "
 
 [file]
-gfx = "themes/gui-sdl2/human/small_theme_buttons"
+gfx = "themes/gui-sdl3/human/small_theme_buttons"
 
 [grid_main]
 
diff --git a/data/themes/gui-sdl3/human/tech_tree.tspec b/data/themes/gui-sdl3/human/tech_tree.tspec
index e65361732b..077b0b086e 100644
--- a/data/themes/gui-sdl3/human/tech_tree.tspec
+++ b/data/themes/gui-sdl3/human/tech_tree.tspec
@@ -10,7 +10,7 @@ artists = "
 "
 
 [file]
-gfx = "themes/gui-sdl2/human/tech_tree"
+gfx = "themes/gui-sdl3/human/tech_tree"
 
 [grid_explode]
 
diff --git a/data/themes/gui-sdl3/human/theme_boxs.tspec b/data/themes/gui-sdl3/human/theme_boxs.tspec
index c2aad9838d..5ac2b022ff 100644
--- a/data/themes/gui-sdl3/human/theme_boxs.tspec
+++ b/data/themes/gui-sdl3/human/theme_boxs.tspec
@@ -11,7 +11,7 @@ artists = "
 "
 
 [file]
-gfx = "themes/gui-sdl2/human/theme_boxs"
+gfx = "themes/gui-sdl3/human/theme_boxs"
 
 [grid_main]
 
diff --git a/data/themes/gui-sdl3/human/theme_buttons.tspec b/data/themes/gui-sdl3/human/theme_buttons.tspec
index 28024fb3e1..4c4be267ac 100644
--- a/data/themes/gui-sdl3/human/theme_buttons.tspec
+++ b/data/themes/gui-sdl3/human/theme_buttons.tspec
@@ -18,7 +18,7 @@ artists = "
 "
 
 [file]
-gfx = "themes/gui-sdl2/human/theme_buttons"
+gfx = "themes/gui-sdl3/human/theme_buttons"
 
 [grid_main]
 
diff --git a/data/themes/gui-sdl3/human/theme_orders_buttons.tspec b/data/themes/gui-sdl3/human/theme_orders_buttons.tspec
index 117f415a48..66d647d27b 100644
--- a/data/themes/gui-sdl3/human/theme_orders_buttons.tspec
+++ b/data/themes/gui-sdl3/human/theme_orders_buttons.tspec
@@ -16,7 +16,7 @@ artists = "
 "
 
 [file]
-gfx = "themes/gui-sdl2/human/theme_orders_buttons"
+gfx = "themes/gui-sdl3/human/theme_orders_buttons"
 
 [grid_main]
 
diff --git a/data/themes/gui-sdl3/human/theme_scrolls.tspec b/data/themes/gui-sdl3/human/theme_scrolls.tspec
index 9ad61107c9..1c8c2a96e5 100644
--- a/data/themes/gui-sdl3/human/theme_scrolls.tspec
+++ b/data/themes/gui-sdl3/human/theme_scrolls.tspec
@@ -11,7 +11,7 @@ artists = "
 "
 
 [file]
-gfx = "themes/gui-sdl2/human/theme_scrolls"
+gfx = "themes/gui-sdl3/human/theme_scrolls"
 
 [grid_main]
 
-- 
2.47.2